
Redmine - Defect #38201

Fix robots.txt to disallow issue lists with a sort or query_id parameter in any position

2023-01-20 13:55 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SEO Estimated time: 0.00 hour

Target version: 4.2.10   

Resolution:  Affected version:  

Description

Currently the robots.txt file only disallows issue lists where the sort parameter is first in the list /issues?sort=, the sort parameter

might not always be the first in the parameter list though, e.g. /issues?page=2&sort=.

Related issues:

Related to Redmine - Defect #6734: robots.txt: disallow crawling issues list ... Closed 2010-10-24

Associated revisions

Revision 22070 - 2023-01-23 09:08 - Go MAEDA

Fix robots.txt to disallow issue lists with a sort or query_id parameter in any position, not just first (#38201).

Patch by Felix Schäfer.

Revision 22072 - 2023-01-24 00:42 - Go MAEDA

Merged r22070 from trunk to 5.0-stable (#38201).

Revision 22073 - 2023-01-24 00:44 - Go MAEDA

Merged r22070 from trunk to 4.2-stable (#38201).

History

#1 - 2023-01-20 13:57 - Felix Schäfer

- File 38201.patch added

The attached patch improves the robots.txt file in a way similar than the line for the set_filter parameter for the parameters sort and query_id.

#2 - 2023-01-21 04:48 - Go MAEDA

- Related to Defect #6734: robots.txt: disallow crawling issues list with a query string added

#3 - 2023-01-21 08:20 - Go MAEDA

- Target version set to 4.2.10

Setting the target version to 4.2.10.

#4 - 2023-01-23 09:09 - Go MAEDA

- Subject changed from Improve robots.txt to Improve robots.txt to disallow issue lists with a sort or query_id parameter in any position

- Category changed from Performance to SEO

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#5 - 2023-01-24 00:44 - Go MAEDA

- Status changed from Resolved to Closed

#6 - 2023-03-05 06:24 - Go MAEDA
- Tracker changed from Patch to Defect

- Subject changed from Improve robots.txt to disallow issue lists with a sort or query_id parameter in any position to Fix robots.txt to disallow issue lists

with a sort or query_id parameter in any position

Files

38201.patch 787 Bytes 2023-01-20 Felix Schäfer
